> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-5/v5-8-1.md).

# Version 5.8.1

Enhance your PDF viewing experience with the latest updates! Discover new features like Retina display support, Print API, text highlighting, and more. Upgrade now for a seamless reading experience. T

Release Date: 2012.04.04

## Changes to PDFViewCtrl:

* Retina display support for iPhone and iPad
* A new Print API. Uses iOS Air Print, but prepares the document by flattening annotations and removing encryption.
* New APIs for highlighting text (highlightSelectedTextWithColor:, hideSelectedTextHighlights)
* Added new delegate methods for outer scroll view.
* Added new ToolChanged delegate method that can be used to update toolbars, etc.
* Links are highlighted when activated.
* Support for transparent background (so that a non-moving thatched background can be shown behind pages).
* Added a new custom event on PDFViewCtrl that can be called manually when a "custom" event has occurred and handled by a tool.
* Bug fixes.

## Changes to Tools:

* New FreeText tool.
* New tools TextHighlightCreate, TextSquigglyCreate, TextStrikeoutCreate and TextUnderlineCreate that immediately mark up text without the need to select the text first.
* New tool mode that allows a tool not to switch back to another tool after TouchesEnded.
* Sticky notes are now automatically opened for editing when created.
* Added a page indicator in the tool base class.
* Increased default thickness of markup annotations.
* Tools has built-in iPhone compatibility for the ColorPicker and note editor.
* Improved performance of FreeHand tool.
* Selecting text now allows widgets to cross.
* Bug fixes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-5/v5-8-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
